Class
SeedSet
Manages seeds for local chaining and merging algorithms.

SeedSet

NonScored SeedSet | Scored SeedSet

SeedSet<TPosition, TSeedSpec, TScoringScheme, TSpec>
Include Headers
seqan/seeds.h
Parameters

TPosition | Type that saves the positions and upper/lower bounds. Remarks: Positive and negative values are needed.
TSeedSpec | The Seed specialization.
TScoringScheme | The scoring sheme to use.

Specializations

NonScored SeedSet | SeedSet that uses seeds without scores.
Scored SeedSet | SeedSet that uses scored Seeds.

Metafunctions

Iterator | Type of iterator objects that are used to traverse the container.
Spec | The spec of a class.
Value | Type of the items in the container.
Value | Type of the items in the container.

Member Functions

SeedSet | Constructor

Functions

addSeed | Adds a seed to an existing set.
addSeeds | Adds several seeds to an existing set. If a merging or chaining algorithm is used seeds are added if the merging or chaining fails.
begin | The begin of a container.
begin | The begin of a container.
end | The end of a container.
end | The end of a container.
maximumDistance | Sets the maximal distance between two seed during a chaining process.
qualityValue | Sets the minimum length for a seed to be saved permanently.
setMaximumDistance | Sets the maximal distance between two seed during a chaining process.
setQualityValue | Sets the minimum length for a seed to be saved permanently.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45